EC_DICT_HAS_KEY(3)

NAME
ec_dict_has_key - Check if the hash table contains this key.

SYNOPSIS
#include <ecoli/dict.h>

bool ec_dict_has_key(
    const struct ec_dict   *dict,  /* The hash table. */
    const char             *key    /* The key string. Must not be NULL. */
);

RETURN VALUE

true if it contains the key, false otherwise. If key is NULL, false is returned and errno is set to EINVAL.

SEE ALSO

ec_dict_iter(3), ec_dict_free(3), ec_dict_iter_get_val(3), ec_dict_len(3), ec_dict_dup(3), ec_dict_del(3), ec_dict(3), ec_dict_set(3), ec_dict_get(3), ec_dict_dump(3), ec_dict_iter_next(3), ec_dict_iter_get_key(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.